Skip to main content
PUT
/
v2
/
entity-types
/
{id}
Update Entity Type
curl --request PUT \
  --url https://public.api.serval.com/v2/entity-types/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "color": "<string>",
  "iconSlug": "<string>"
}
'
{
  "data": {
    "id": "<string>",
    "teamId": "<string>",
    "key": "<string>",
    "name": "<string>",
    "parentEntityTypeId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "createdByUserId": "<string>",
    "updatedByUserId": "<string>",
    "color": "<string>",
    "iconSlug": "<string>",
    "entitySchemaId": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The ID of the entity type to update.

Body

application/json
name
string

The display name of the entity type (required).

color
string | null

Hex color for the entity type's icon. Omit to leave unchanged.

iconSlug
string | null

The Lucide icon slug for the entity type. Omit to leave unchanged.

helpAgentVisibility
enum<string> | null

Controls whether the help agent can see entities of this type. Omit to leave unchanged.

Available options:
HELP_AGENT_ENTITY_VISIBILITY_UNSPECIFIED,
HELP_AGENT_ENTITY_VISIBILITY_NONE,
HELP_AGENT_ENTITY_VISIBILITY_REQUESTER_ASSOCIATED,
HELP_AGENT_ENTITY_VISIBILITY_ALWAYS

Response

Success

data
data · object

The updated entity type.